<?php
# fonctions de cryptage d'un membre
include($BIB."bib_affiliation.php3");
# fonction du viralMail
include($BIB_VIRAL_MAIL);


############################
# Mailing constants
############################
# nombre de microsecondes à attendre
$SLEEP_MICROSECONDS = 0;

function waitMail($email)
{
	global $SLEEP_MICROSECONDS;
	
	usleep($SLEEP_MICROSECONDS);
	echo $email."<br>";
	flush();
}

############################
# fonction qui ajoute le tag de désinscription
# unregisterTag(Id du membre,message)
############################
function unregisterTag($MId,$msg)
{
	# recupération des infos du membre
	# on utilise les fonctions de cryptage de l'affiliation
	# on l'insere dans le message
	return ereg_replace("__UNREGISTER__",cryptMember(getmember($MId)),$msg);
}

############################
# fonction d'envoie d'un mail via le system ViralGames
############################
function generic_mail($email, $subject, $message, $headers, $DEBUG = false)
{
	global $VIRAL_MAIL_SPOOL;
	
	if ($DEBUG)
	{
		echo "subject : ".$subject.", email : $email<br>";
		echo $message."<br><br>";
	}
	else
	{
//		viral_mail($VIRAL_MAIL_SPOOL,$email, $subject, $message, $headers);
		mail($email,$subject,$message,$header);
	}
}

function replaceTag($tag, $value, $msg)
{
	return str_replace($tag, $value, $msg);
}

function loadTemplate($aFile)
{
	if (!empty($aFile))
	{
		$tabIn = file($aFile);
		$msg = "";
		
		for($k=0;$k<sizeof($tabIn);$k++)
	    	$msg .= $tabIn[$k];
	}
	    
    return $msg;
}